%define upstream_name    Digest-Perl-MD5
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Pure perl implementation of MD5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This modules has the same interface as the much faster 'Digest::MD5'. So
you can easily exchange them, e.g.

	BEGIN {
	  eval {
	    require Digest::MD5;
	    import Digest::MD5 'md5_hex'
	  };
	  if ($@) { # ups, no Digest::MD5
	    require Digest::Perl::MD5;
	    import Digest::Perl::MD5 'md5_hex'
	  }		
	}

If the 'Digest::MD5' module is available it is used and if not you take
'Digest::Perl::MD5'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's{#! /usr/bin/false}{#}' lib/Digest/Perl/MD5.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.900.0-7.mga8
+ Revision: 1494065
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.900.0-6.mga7
+ Revision: 1267277
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-5.mga6
+ Revision: 1025794
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.900.0-4.mga6
+ Revision: 934382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-3.mga5
+ Revision: 748738
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-2.mga5
+ Revision: 684368
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.900.0-1.mga5
+ Revision: 586432
- update to 1.9

* Fri Oct 18 2013 umeabot <umeabot> 1.800.0-4.mga4
+ Revision: 510891
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.800.0-3.mga3
+ Revision: 365929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 1.800.0-2.mga1
+ Revision: 81828
- remove bogus shebang line

* Thu Apr 07 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 81822
- imported package perl-Digest-Perl-MD5


* Thu Apr 07 2011 cpan2dist 1.8-1mga
- initial mageia release, generated with cpan2dist
